# Reddit API

Public subreddit posts, keyword search, and comments.

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
HTML: https://trysocify.com/docs/api/reddit  
Platform file: https://trysocify.com/llms-reddit.txt  
OpenAPI: https://trysocify.com/openapi.json

## Endpoints (3)

- [Reddit Keyword Search](#reddit-keyword-search) — `GET /api/v1/reddit/search` (2 credits per request)
- [Reddit Subreddit Posts](#reddit-subreddit-posts) — `GET /api/v1/reddit/posts` (2 credits per request)
- [Reddit Post Comments](#reddit-post-comments) — `GET /api/v1/reddit/comments` (3 credits per request)

### Reddit Keyword Search

`GET /api/v1/reddit/search`

Search public Reddit posts by keyword.

Credits: 2 credits per request

**Parameters**

- `name` (required) — Keyword to search. Example: `bitcoin`.
- `sort` (optional) — relevance | hot | new | top | comments. Defaults to relevance. Example: `relevance`.
- `period` (optional) — hour | day | week | month | year | all. Defaults to week. Example: `week`.
- `cursor` (optional) — Pagination cursor from a previous nextCursor.

**Docs:** [https://trysocify.com/docs/api/reddit/search.md](https://trysocify.com/docs/api/reddit/search.md) · HTML: https://trysocify.com/docs/api/reddit/search

```bash
curl -sS 'https://trysocify.com/api/v1/reddit/search?name=bitcoin&sort=relevance&period=week' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Reddit Subreddit Posts

`GET /api/v1/reddit/posts`

Fetch posts from a public subreddit.

Credits: 2 credits per request

**Parameters**

- `name` (required) — Subreddit name without r/. Example: `SkincareAddiction`.
- `sort` (optional) — hot | new | top | rising. Defaults to new. Example: `new`.
- `period` (optional) — Time filter for sort=top. Defaults to week. Example: `week`.
- `cursor` (optional) — Pagination cursor from a previous nextCursor.

**Docs:** [https://trysocify.com/docs/api/reddit/posts.md](https://trysocify.com/docs/api/reddit/posts.md) · HTML: https://trysocify.com/docs/api/reddit/posts

```bash
curl -sS 'https://trysocify.com/api/v1/reddit/posts?name=SkincareAddiction&sort=new&period=week' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

### Reddit Post Comments

`GET /api/v1/reddit/comments`

Fetch public comments for a post via its permalink.

Credits: 3 credits per request

**Parameters**

- `permalink` (required) — Post permalink from Search or Subreddit Posts. Example: `/r/SkincareAddiction/comments/8pv3gg/ba_finished_my_5_month_course_of_accutane_just_in/`.

**Docs:** [https://trysocify.com/docs/api/reddit/comments.md](https://trysocify.com/docs/api/reddit/comments.md) · HTML: https://trysocify.com/docs/api/reddit/comments

```bash
curl -sS 'https://trysocify.com/api/v1/reddit/comments?permalink=%2Fr%2FSkincareAddiction%2Fcomments%2F8pv3gg%2Fba_finished_my_5_month_course_of_accutane_just_in%2F' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

